﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Tanguy.WinForm.Utilities.DelegatesHelpers
{
    class GroupBoxDelegates
    {
        public static void SetEnableState(GroupBox gb, bool enabled)
        {
            MethodInvoker mi = delegate
            {
                gb.Enabled = enabled;
            };

            if (gb.InvokeRequired)
            {
                gb.Invoke(mi);
            }
            else
            {
                mi();
            }
        }
    }
}
